import matplotlib
from matplotlib import font_manager
import matplotlib.pyplot as plt

# 查看系统支持的字体
def get_fonts():
    for i in sorted([f.name for f in font_manager.fontManager.ttflist]): 
        print(i)

# 查看当前的字体配置
def get_font_params():
    print("Serif:", plt.rcParams['font.serif'])
    print("Sans-serif:", plt.rcParams['font.sans-serif'])
    print("Monospace:", plt.rcParams['font.monospace'])

# 绘图
def plt_init():
    font = {
        'family': 'Source Han Sans SC', # 可选：Arial Unicode MS
        'size': '14'
    }
    matplotlib.rc('font', **font)                 # 中文字体
    matplotlib.rc('axes', unicode_minus=False)    # 解决中文字体下坐标轴负数的负号显示问题
    matplotlib.rc('savefig', dpi=300)             # 保存图片分辨率
    matplotlib.rc('figure', dpi=100)              # 显示图片分辨率（默认100）